streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_finalize_func< FinalizeFn >::finalize_func Struct Reference
Inheritance diagram for streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_finalize_func< FinalizeFn >::finalize_func:
Collaboration diagram for streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_finalize_func< FinalizeFn >::finalize_func:

## Public Member Functions

| finalize_func (StreamFactory &factory, device_type device, FinalizeFn fn)
template<typename... FnArgs>
void | operator() (FnArgs &... args)
Public Member Functions inherited from tbb::internal::no_assign
void | operator= (const no_assign &)=delete
| no_assign (const no_assign &)=default
| no_assign ()=default

## Public Attributes

StreamFactory & | my_factory
device_type | my_device
FinalizeFn | my_fn

## Detailed Description

### template<typename... Ports, typename JP, typename StreamFactory>
template<typename... Args>
template<typename FinalizeFn>
struct streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_finalize_func< FinalizeFn >::finalize_func

Definition at line 550 of file _flow_graph_streaming_node.h.

## Constructor & Destructor Documentation

## finalize_func()

template<typename... Ports, typename JP , typename StreamFactory >
template<typename... Args>
template<typename FinalizeFn >

streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_finalize_func< FinalizeFn >::finalize_func::finalize_func | ( | StreamFactory & | factory,
|  | device_type | device,
|  | FinalizeFn | fn
| ) |  |

inline

Definition at line 555 of file _flow_graph_streaming_node.h.

: my_factory(factory), my_device(device), my_fn(fn) {}

## Member Function Documentation

## operator()()

template<typename... Ports, typename JP , typename StreamFactory >
template<typename... Args>
template<typename FinalizeFn >
template<typename... FnArgs>

void streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_finalize_func< FinalizeFn >::finalize_func::operator() | ( | FnArgs &... | args | ) |

inline

Definition at line 559 of file _flow_graph_streaming_node.h.

{
my_factory.finalize( my_device, my_fn, args... );
}

## Member Data Documentation

## my_device

template<typename... Ports, typename JP , typename StreamFactory >
template<typename... Args>
template<typename FinalizeFn >

device_type streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_finalize_func< FinalizeFn >::finalize_func::my_device

Definition at line 552 of file _flow_graph_streaming_node.h.

## my_factory

template<typename... Ports, typename JP , typename StreamFactory >
template<typename... Args>
template<typename FinalizeFn >

StreamFactory& streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_finalize_func< FinalizeFn >::finalize_func::my_factory

Definition at line 551 of file _flow_graph_streaming_node.h.

## my_fn

template<typename... Ports, typename JP , typename StreamFactory >
template<typename... Args>
template<typename FinalizeFn >

FinalizeFn streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_finalize_func< FinalizeFn >::finalize_func::my_fn

Definition at line 553 of file _flow_graph_streaming_node.h.

The documentation for this struct was generated from the following file:

- _flow_graph_streaming_node.h

streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage::run_finalize_func::finalize_func::my_factory
StreamFactory & my_factory
Definition: _flow_graph_streaming_node.h:551
fn
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task __itt_model_task_instance ITT_FORMAT p void ITT_FORMAT p void ITT_FORMAT p void size_t ITT_FORMAT d void ITT_FORMAT p const wchar_t ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s no args void ITT_FORMAT p size_t ITT_FORMAT d no args const wchar_t const wchar_t ITT_FORMAT s __itt_heap_function void size_t int ITT_FORMAT d __itt_heap_function void ITT_FORMAT p __itt_heap_function void void size_t int ITT_FORMAT d no args no args unsigned int ITT_FORMAT u const __itt_domain __itt_id ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain __itt_id ITT_FORMAT p const __itt_domain __itt_id __itt_timestamp __itt_timestamp ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain ITT_FORMAT p const __itt_domain __itt_string_handle unsigned long long ITT_FORMAT lu const __itt_domain __itt_string_handle unsigned long long ITT_FORMAT lu const __itt_domain __itt_id __itt_string_handle __itt_metadata_type size_t void ITT_FORMAT p const __itt_domain __itt_id __itt_string_handle const wchar_t size_t ITT_FORMAT lu const __itt_domain __itt_id __itt_relation __itt_id ITT_FORMAT p const wchar_t int ITT_FORMAT __itt_group_mark d __itt_event ITT_FORMAT __itt_group_mark d void const wchar_t const wchar_t int ITT_FORMAT __itt_group_sync __itt_group_fsync x void const wchar_t int const wchar_t int int ITT_FORMAT __itt_group_sync __itt_group_fsync x void ITT_FORMAT __itt_group_sync __itt_group_fsync p void ITT_FORMAT __itt_group_sync __itt_group_fsync p void size_t ITT_FORMAT lu no args __itt_obj_prop_t __itt_obj_state_t ITT_FORMAT d const char ITT_FORMAT s const char ITT_FORMAT s __itt_frame ITT_FORMAT p __itt_counter ITT_FORMAT p __itt_counter unsigned long long ITT_FORMAT lu __itt_counter unsigned long long ITT_FORMAT lu __itt_counter __itt_clock_domain unsigned long long void ITT_FORMAT p const wchar_t ITT_FORMAT S __itt_mark_type const wchar_t ITT_FORMAT S __itt_mark_type const char ITT_FORMAT s __itt_mark_type ITT_FORMAT d __itt_caller ITT_FORMAT p __itt_caller ITT_FORMAT p no args const __itt_domain __itt_clock_domain unsigned long long __itt_id ITT_FORMAT lu const __itt_domain __itt_clock_domain unsigned long long __itt_id __itt_id void * fn
Definition: ittnotify_static.h:311
streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage::run_finalize_func::finalize_func::my_fn
FinalizeFn my_fn
Definition: _flow_graph_streaming_node.h:553
streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage::run_finalize_func::finalize_func::my_device
device_type my_device
Definition: _flow_graph_streaming_node.h:552

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.